Subject: [Dbound] algorithmic background material for BoF

From: Tim Draegen <[email-masked]>
Date: Wed, 12 Nov 2014 10:27:32 -1000

Hi, in reviewing the draft problem statement, I’d like to add some meat to Section 4, sub-bullet #4, which is:

• Identify solutions to replace, extend, improve, or complement the
  functionality, maintenance, or distribution of the PSL according
  to perceived demands.

In my adventures I've come across a similar chunk of PSL-like functionality, specifically in the land of PassiveDNS:

  https://archive.farsightsecurity.com/Passive_DNS/passive-dns-architecture.pdf

Section 2.4 of this PDF ("Bailiwick reconstruction") goes through and describes an algorithm that yields oddly similar results to the PSL....  at least in the context of DMARC.

I have a relatively large pile of data against which I'll be pitting PSL vs Bailiwick to see where the two approaches diverge.  If nothing else this might spur discussion and/or inform opinions.

=- Tim

* http://www.ietf.org/mail-archive/web/dbound/current/msg00141.html